# Generated by Django 4.2.8 on 2024-03-04 12:43

from django.db import migrations, models
import django.db.models.deletion
import ipam.fields
import taggit.managers
import utilities.json


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('extras', '0106_bookmark_user_cascade_deletion'),
        ('ipam', '0069_gfk_indexes'),
    ]

    operations = [
        migrations.CreateModel(
            name='BGPConnection',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('raw_next_hop', models.GenericIPAddressField()),
                ('raw_bgp_prefix', ipam.fields.IPNetworkField()),
                ('import_data', models.JSONField(blank=True, null=True)),
                ('bgp_prefix', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='bgp_prefix', to='ipam.prefix')),
                ('next_hop', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='ipam.ipaddress')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'ordering': ('next_hop', 'bgp_prefix'),
            },
        ),
    ]
