# Generated by Django 4.2.11 on 2024-04-24 10:16

from django.db import migrations, models
import django.db.models.deletion
import taggit.managers
import utilities.json


class Migration(migrations.Migration):

    dependencies = [
        ('dcim', '0185_gfk_indexes'),
        ('extras', '0107_cachedvalue_extras_cachedvalue_object'),
        ('netbox_cesnet_services_plugin', '0005_alter_bgpconnection_role'),
    ]

    operations = [
        migrations.CreateModel(
            name='LLDPNeighbor',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('imported_data', models.JSONField(blank=True, null=True)),
                ('device_a', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lldp_neighbors_a', to='dcim.device')),
                ('device_b', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lldp_neighbors_b', to='dcim.device')),
                ('interface_a', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lldp_neighbors_a', to='dcim.interface')),
                ('interface_b', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lldp_neighbors_b', to='dcim.interface')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'verbose_name': 'LLDP Neighbor',
                'verbose_name_plural': 'LLDP Neighbors',
                'ordering': ['device_a', 'interface_a', 'device_b', 'interface_b'],
                'unique_together': {('device_a', 'interface_a', 'device_b', 'interface_b')},
            },
        ),
    ]
