# Generated by Django 5.0.6 on 2024-06-19 06:33

import django.db.models.deletion
import taggit.managers
import utilities.json
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('dcim', '0187_alter_device_vc_position'),
        ('extras', '0115_convert_dashboard_widgets'),
        ('netbox_cesnet_services_plugin', '0007_lldpneighbor_comments'),
    ]

    operations = [
        migrations.AlterField(
            model_name='lldpneighbor',
            name='device_a',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lldp_neighbors_device_a', to='dcim.device'),
        ),
        migrations.AlterField(
            model_name='lldpneighbor',
            name='device_b',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lldp_neighbors_device_b', to='dcim.device'),
        ),
        migrations.AlterField(
            model_name='lldpneighbor',
            name='interface_a',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lldp_neighbors_interface_a', to='dcim.interface'),
        ),
        migrations.AlterField(
            model_name='lldpneighbor',
            name='interface_b',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lldp_neighbors_interface_b', to='dcim.interface'),
        ),
        migrations.CreateModel(
            name='LLDPNeighborLeaf',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('device_ext', models.CharField(max_length=255)),
                ('interface_ext', models.CharField(max_length=255)),
                ('imported_data', models.JSONField(blank=True, null=True)),
                ('comments', models.TextField(blank=True)),
                ('device_nb', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lldp_neighbors_device_nb', to='dcim.device')),
                ('interface_nb', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lldp_neighbors_interface_nb', to='dcim.interface')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'verbose_name': 'LLDP Neighbor Leaf',
                'verbose_name_plural': 'LLDP Neighbor Leafs',
                'ordering': ['device_nb', 'interface_nb', 'device_ext', 'interface_ext'],
                'unique_together': {('device_nb', 'interface_nb', 'device_ext', 'interface_ext')},
            },
        ),
    ]
